Last modified: 2014-11-12 15:48:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 67966 - notification-flow-thanks*, flow-notification-mention* need GENDER support for recipient
notification-flow-thanks*, flow-notification-mention* need GENDER support for...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Flow (Other open bugs)
master
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: gender
  Show dependency treegraph
 
Reported: 2014-07-14 00:11 UTC by Nemo
Modified: 2014-11-12 15:48 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2014-07-14 00:11:40 UTC
Predicate depends both on gender of the subject and of the object. Affected messages:

MediaWiki:Notification-flow-thanks
MediaWiki:Notification-flow-thanks-flyout
MediaWiki:Notification-flow-thanks-email-batch-body
MediaWiki:Notification-flow-thanks-email-subject

Thorough explanation, with a focus on French (but it's the same e.g. in Italian), at https://translatewiki.net/wiki/Thread:Support/MediaWiki:Notification-flow-thanks/en_and_MediaWiki:Notification-flow-thanks/fr
Comment 1 Nemo 2014-07-14 00:12:17 UTC
Sorry, add:

MediaWiki:Flow-notification-mention
MediaWiki:Flow-notification-mention-email-batch-body
MediaWiki:Flow-notification-mention-email-subject
Comment 2 Danny Horn 2014-07-14 21:42:44 UTC
Filed in backlog: https://trello.com/c/6usFVKIa

Thanks for the report!
Comment 3 Gerrit Notification Bot 2014-09-01 12:33:47 UTC
Change 157670 had a related patch set uploaded by Matthias Mullie:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157670
Comment 4 Gerrit Notification Bot 2014-09-01 12:51:45 UTC
Change 157671 had a related patch set uploaded by Matthias Mullie:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157671
Comment 5 Gerrit Notification Bot 2014-09-02 18:14:35 UTC
Change 157671 merged by jenkins-bot:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157671
Comment 6 Gerrit Notification Bot 2014-09-03 19:02:47 UTC
Change 157670 merged by jenkins-bot:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157670
Comment 7 Andre Klapper 2014-11-12 15:17:48 UTC
All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?
Comment 8 Nemo 2014-11-12 15:48:12 UTC
Ok

        "notification-flow-thanks": "[[User:$1|$1]] {{GENDER:$1|thanked}} {{GENDER:$5|you}} for $2 in \"$3\" on [[:$4]].",
        "notification-flow-thanks-post-link": "your comment",
        "notification-flow-thanks-flyout": "[[User:$1|$1]] {{GENDER:$1|thanked}} {{GENDER:$4|you}} for your comment in \"$2\" on $3.",
        "notification-flow-thanks-email-subject": "$1 {{GENDER:$1|thanked}} {{GENDER:$2|you}} for your comment on {{SITENAME}}",
        "notification-flow-thanks-email-batch-body": "$1 {{GENDER:$1|thanked}} {{GENDER:$4|you}} for your comment in \"$2\" on $3.",

$ grep low-notification-mention i18n/en.json
        "flow-notification-mention": "$1 {{GENDER:$1|mentioned}} {{GENDER:$5|you}} in {{GENDER:$1|his|her|their}} <span class=\"plainlinks\">[$2 post]</span> in \"$3\" on \"$4\".",
        "flow-notification-mention-email-subject": "$1 {{GENDER:$1|mentioned}} {{GENDER:$3|you}} on \"$2\"",
        "flow-notification-mention-email-batch-body": "$1 {{GENDER:$1|mentioned}} {{GENDER:$4|you}} in {{GENDER:$1|his|her|their}} post in \"$2\" on \"$3\"",

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links